@ECHO OFF
CD "%SOURCE_DIR%"
SET PATH=%PATH%;"%COMPILE_DIR%"
ERRLOG START > "%ERROR_LOG%"
IF EXIST "%SOURCE_FILE_NOEXT%.o" DEL "%SOURCE_FILE_NOEXT%.o"
ECHO Assembling %SOURCE_FILE%
IF EXIST _object.o DEL _object.o
WLA-Z80 -o "%SOURCE_FILE%" _object.o > errors 2<&1
TYPE errors | WLAERR /o /1 >> "%ERROR_LOG%"
ECHO [objects] > linkfile
ECHO _object.o >> linkfile
ECHO Linking...
WLALINK -drvs linkfile "%SOURCE_FILE_NOEXT%.gg" > errors 2<&1
TYPE errors | WLAERR /o /2 >> "%ERROR_LOG%"
IF EXIST "%SOURCE_FILE_NOEXT%.gg.sym" DEL "%SOURCE_FILE_NOEXT%.gg.sym"
IF EXIST "%SOURCE_FILE_NOEXT%.sym" REN "%SOURCE_FILE_NOEXT%.sym" "%SOURCE_FILE_NOEXT%.gg.sym"
IF EXIST linkfile DEL linkfile
IF EXIST errors DEL errors
IF EXIST _object.o DEL _object.o
ERRLOG END >> "%ERROR_LOG%"