; ==========================================
; General TI-83 Plus
; ==========================================

#ifdef TI83P
#define	bcall(label) RST 28h \ .dw label
#define bjump(label) call 50h \ .dw label
#define errhandon(label) ld hl,label \ call 59h
#define errhandoff() call 5Ch
.org 9D93h
.db $BB,$6D
.NOLIST
#DEFINE EQU .EQU
#include "ti83plus.inc"
.LIST
#endif

; ==========================================
; TI-83 Plus Ion
; ==========================================

#ifdef TI83PI
#define	bcall(label) RST 28h \ .dw label
#define bjump(label) call 50h \ .dw label
#define errhandon(label) ld hl,label \ call 59h
#define errhandoff() call 5Ch
.org 9D93h
.db $BB,$6D
.NOLIST
#DEFINE EQU .EQU
#include "ti83plus.inc"
.LIST
	ret
	jr nc,init_all
#include "ion8X.inc"
#endif

; ==========================================
; TI-83 Plus MirageOS
; ==========================================

#ifdef TI83PM
#define	bcall(label) RST 28h \ .dw label
#define bjump(label) call 50h \ .dw label
#define errhandon(label) ld hl,label \ call 59h
#define errhandoff() call 5Ch
.org 9D93h
.db $BB,$6D
.NOLIST
#DEFINE EQU .EQU
#include "ti83plus.inc"
.LIST
	ret
.db 1
#include "icon.inc"
#include "mirage.inc"
#endif

; ==========================================
; TI-83 Ion
; ==========================================

#ifdef TI83I
#define	bcall(label) call label
#define bjump(label) jp label
.org 9327h
.NOLIST
#DEFINE EQU .EQU
#include "ti83asm.inc"
#include "tokens.inc"
.LIST
	ret
	jr nc,init_all
#include "ion83.inc"
#endif